package cn.fastfun.controller.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 页面设备统计
 */
@Setter
@Getter
public class DevicePageStatDTO {

    @ApiModelProperty(value = "设备总量", name = "total", required = true)
    private Long total = 0l;

    @ApiModelProperty(value = "未入库总量", name = "notInStorage", required = true)
    private Long notInStorage = 0l;

    @ApiModelProperty(value = "已入库总量", name = "inStorage", required = true)
    private Long inStorage = 0l;

    @ApiModelProperty(value = "已调拨总量", name = "transfer", required = true)
    private Long transfer = 0l;

    @ApiModelProperty(value = "可调拨总量", name = "transferAble", required = true)
    private Long transferAble = 0l;

    @ApiModelProperty(value = "已出库总量", name = "outStorage", required = true)
    private Long outStorage = 0l;

    @ApiModelProperty(value = "可出库总量", name = "outStorageAble", required = true)
    private Long outStorageAble = 0l;

    @ApiModelProperty(value = "已处置总量", name = "handle", required = true)
    private Long handle = 0l;

}
