package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.util.StringUtils;

/**
 * 处置搜索条件
 */
public class HandelQueryParam extends QueryParam {

    @ApiModelProperty(value = "SN, 模糊搜索", name = "sn")
    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%" + sn + "%"));
    }

//    @ApiModelProperty(value = "处置类型", name = "type")
//    public void setType(String type) {
//        if (!StringUtils.isEmpty(type)) addParam(QueryParamExp.eq("hfEvent", type));
//    }
}
