package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.util.StringUtils;

@Setter
@Getter
public class OutByBatchQueryParam extends QueryParam {


//    @ApiModelProperty(value = "SN号", name = "sn")
//    public void setSn(String sn) {
//        if (!StringUtils.isEmpty(sn))
//            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
//    }

    @ApiModelProperty(value = "批次号", name = "batchNum", required = true)
    public void setBatchNum(String batchNum) {
        if (!StringUtils.isEmpty(batchNum))
            addParam(QueryParamExp.eq("batchNum", batchNum));
    }
}
