package cn.fastfun.controller.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Setter
@Getter
public class UserPassWordParam {

    String id;

    String userName;

    String passWordAnswer;

//    @NotEmpty(message = "当前密码不能空!")
    @ApiModelProperty(value = "旧密码", name = "oldPassWord")
    String oldPassWord;

    @NotEmpty(message = "修改密码不能空!")
    @ApiModelProperty(value = "新密码", name = "newPassWord")
    String newPassWord;

    @NotEmpty(message = "确认密码不能空!")
    @ApiModelProperty(value = "确认密码", name = "confirmPasWord")
    String confirmPasWord;
}
