package cn.fastfun.controller.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Setter
@Getter
@NoArgsConstructor
public class DeviceAttrDTO {

    // 批次号
    private String batchNum;

    // 电池类型
    private String type;

    // pack厂
    private String pack;

    // 收货地
    private String receivedPlace;


    // 显示名称
    private String typeTitle;

    private String packTitle;

    /**
     * 分拆sn号
     *
     * @param sn
     */
    public DeviceAttrDTO(String batchNum, String sn) {
        setBatchNum(batchNum);
        splitSn(sn);
    }

    public DeviceAttrDTO(String sn) {
        splitSn(sn);
    }

    private void splitSn(String sn) {
        setType(sn.substring(0, 1));
        setPack(sn.substring(1, 3));
    }
}
